package com.boman.domain;

import com.boman.domain.annotation.Excel;

import java.util.ArrayList;
import java.util.List;

/**
 * 潜山网格信息对象 qianshan_grid
 * 
 * @author ruoyi
 * @date 2022-06-20
 */
public class QianshanGrid extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 网格名称 */
    @Excel(name = "网格名称")
    private String gridName;

    /** 网格管理员(网格长） */
    @Excel(name = "网格管理员(网格长）")
    private String gridMember;

    /** 网格长手机号 */
    @Excel(name = "网格长手机号")
    private String gridPhone;

    /** 网格层级 */
    private String gridLevel;

    /** 上级网格id */
    private String parentGridId;

    /** 上级网格名称 */
    private String parentGridName;

    /**
     * 户籍地的区
     */
    //@Excel(name = "户籍地的区")
    private String regionId;

    /**
     * 户籍地的区
     */
    //@Excel(name = "户籍地的区")
    private String region;

    /**
     * 户籍地的镇
     */
    //@Excel(name = "户籍地的镇")
    private String villageTownsId;

    /**
     * 户籍地的镇
     */
    //@Excel(name = "户籍地的镇")
    private String villageTowns;

    /**
     * 户籍地的村
     */
    //@Excel(name = "户籍地的村")
    private String villageId;

    /**
     * 户籍地的村
     */
    //@Excel(name = "户籍地的村")
    private String village;

    /** 网格内区划名称（,号分割） */
    @Excel(name = "网格内区划名称（,号分割）")
    private String areaName;

    /** 网格内区划id（,号分割） */
    private String areaId;

    /** 上级区划id */
    private String parentAreaId;

    /** 是否删除 */
    private String isDel;

    /** 排序 */
    private String sort;

    private Integer num;

    private boolean hasChildren = Boolean.TRUE;

    /** 子部门 */
    private List<SysDept> children = new ArrayList<SysDept>();

    public void setSort(String sort) {
        this.sort = sort;
    }

    public String getSort() {
        return sort;
    }

    public void setChildren(List<SysDept> children) {
        this.children = children;
    }

    public List<SysDept> getChildren() {
        return children;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getNum() {
        return num;
    }

    public void setHasChildren(boolean hasChildren) {
        this.hasChildren = hasChildren;
    }

    public boolean isHasChildren() {
        return hasChildren;
    }

    public void setParentGridName(String parentGridName) {
        this.parentGridName = parentGridName;
    }

    public String getParentGridName() {
        return parentGridName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setGridName(String gridName)
    {
        this.gridName = gridName;
    }

    public String getGridName() 
    {
        return gridName;
    }
    public void setGridMember(String gridMember) 
    {
        this.gridMember = gridMember;
    }

    public String getGridMember() 
    {
        return gridMember;
    }
    public void setGridPhone(String gridPhone) 
    {
        this.gridPhone = gridPhone;
    }

    public String getGridPhone() 
    {
        return gridPhone;
    }
    public void setGridLevel(String gridLevel) 
    {
        this.gridLevel = gridLevel;
    }

    public String getGridLevel() 
    {
        return gridLevel;
    }
    public void setParentGridId(String parentGridId)
    {
        this.parentGridId = parentGridId;
    }

    public String getParentGridId()
    {
        return parentGridId;
    }
    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }

    public String getAreaName() 
    {
        return areaName;
    }
    public void setAreaId(String areaId) 
    {
        this.areaId = areaId;
    }

    public String getAreaId() 
    {
        return areaId;
    }
    public void setParentAreaId(String parentAreaId) 
    {
        this.parentAreaId = parentAreaId;
    }

    public String getParentAreaId() 
    {
        return parentAreaId;
    }
    public void setIsDel(String isDel) 
    {
        this.isDel = isDel;
    }

    public String getIsDel() 
    {
        return isDel;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getRegionId() {
        return regionId;
    }

    public String getRegion() {
        return region;
    }

    public String getVillageTownsId() {
        return villageTownsId;
    }

    public String getVillageTowns() {
        return villageTowns;
    }

    public String getVillageId() {
        return villageId;
    }

    public String getVillage() {
        return village;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public void setVillageTownsId(String villageTownsId) {
        this.villageTownsId = villageTownsId;
    }

    public void setVillageTowns(String villageTowns) {
        this.villageTowns = villageTowns;
    }

    public void setVillageId(String villageId) {
        this.villageId = villageId;
    }

    public void setVillage(String village) {
        this.village = village;
    }

    @Override
    public String toString() {
        return "QianshanGrid{" +
                "id=" + id +
                ", gridName='" + gridName + '\'' +
                ", gridMember='" + gridMember + '\'' +
                ", gridPhone='" + gridPhone + '\'' +
                ", gridLevel='" + gridLevel + '\'' +
                ", parentGridId='" + parentGridId + '\'' +
                ", parentGridName='" + parentGridName + '\'' +
                ", regionId='" + regionId + '\'' +
                ", region='" + region + '\'' +
                ", villageTownsId='" + villageTownsId + '\'' +
                ", villageTowns='" + villageTowns + '\'' +
                ", villageId='" + villageId + '\'' +
                ", village='" + village + '\'' +
                ", areaName='" + areaName + '\'' +
                ", areaId='" + areaId + '\'' +
                ", parentAreaId='" + parentAreaId + '\'' +
                ", isDel='" + isDel + '\'' +
                ", sort='" + sort + '\'' +
                ", num=" + num +
                ", hasChildren=" + hasChildren +
                ", children=" + children +
                '}';
    }
}
